package club.dawdler.user.service;

import club.dawdler.user.entity.User;
import com.anywide.dawdler.core.result.BaseResult;
import com.anywide.dawdler.core.result.PageResult;
import com.anywide.dawdler.core.service.annotation.Service;
import java.util.List;

@Service
public interface UserService {
    /** 
      * 
      * 查询[用户表]
     * @Copyright	dawlder	2024-10-23
     * <p> Company: dawlder </p>
     * @author srchen
     * @date 2024年10月23日 14:18:22
     * @version 1.0
     * @param id	用户ID
     */
    BaseResult<User> selectByPrimaryKey(Integer id);

    /** 
      * 
      * 查询[用户表]列表
     * @Copyright	dawlder	2024-10-23
     * <p> Company: dawlder </p>
     * @author srchen
     * @date 2024年10月23日 14:18:22
     * @version 1.0
     * @param user
     * @param pageOn
     * @param row
     */
    PageResult<List<User>> selectPageList(User user, Integer pageOn, Integer row);

    /** 
      * 
      * 更新[用户表]
     * @Copyright	dawlder	2024-10-23
     * <p> Company: dawlder </p>
     * @author srchen
     * @date 2024年10月23日 14:18:22
     * @version 1.0
     * @param user
     */
    int updateByPrimaryKeySelective(User user);

    /** 
      * 
      * 插入[用户表]
     * @Copyright	dawlder	2024-10-23
     * <p> Company: dawlder </p>
     * @author srchen
     * @date 2024年10月23日 14:18:22
     * @version 1.0
     * @param user
     */
    int insertSelective(User user);

    /** 
      * 
      * 删除[用户表]
     * @Copyright	dawlder	2024-10-23
     * <p> Company: dawlder </p>
     * @author srchen
     * @date 2024年10月23日 14:18:22
     * @version 1.0
     * @param id	用户ID
     */
    int deleteByPrimaryKey(Integer id);
}