package club.dawdler.user.service.impl;

import club.dawdler.user.entity.User;
import club.dawdler.user.mapper.UserMapper;
import club.dawdler.user.service.UserService;
import com.anywide.dawdler.core.db.annotation.DBTransaction.MODE;
import com.anywide.dawdler.core.db.annotation.DBTransaction;
import com.anywide.dawdler.core.db.annotation.Repository;
import com.anywide.dawdler.core.result.BaseResult;
import com.anywide.dawdler.core.result.PageResult;
import com.anywide.dawdler.serverplug.load.bean.Page;
import java.util.List;

public class UserServiceImpl implements UserService {
	@Repository
	private UserMapper userMapper;

	@Override
	@DBTransaction(mode=MODE.readOnly)
	public BaseResult<User> selectByPrimaryKey(Integer id) {
		User user = userMapper.selectByPrimaryKey(id);
		return new BaseResult<>(user);
	}

	@Override
	@DBTransaction(mode = MODE.readOnly)
	public PageResult<List<User>> selectPageList(User user, Integer pageOn, Integer row) {
		int rowCount = userMapper.selectPageListCount(user);
		Page page = new Page(pageOn, row);
		page.setRowCountAndCompute(rowCount);
		List<User> userList = userMapper.selectPageList(user, page);
		return new PageResult<>(userList, page);
	}

	@Override
	@DBTransaction(mode = MODE.forceReadOnWrite)
	public int updateByPrimaryKeySelective(User user) {
		return userMapper.updateByPrimaryKeySelective(user);
	}

	@Override
	@DBTransaction(mode = MODE.forceReadOnWrite)
	public int insertSelective(User user) {
		return userMapper.insertSelective(user);
	}

	@Override
	@DBTransaction(mode = MODE.forceReadOnWrite)
	public int deleteByPrimaryKey(Integer id) {
		return userMapper.deleteByPrimaryKey(id);
	}
}